# $Revision: 1.18 $, $Date: 2010/05/28 06:18:46 $
Summary:	xmessage application - display a message or query in a window
Summary(pl.UTF-8):	Aplikacja xmessage - wyświetlanie komunikatu lub zapytania w oknie
Name:		xorg-app-xmessage
Version:	1.0.3
Release:	1
License:	MIT
Group:		X11/Applications
Source0:	http://xorg.freedesktop.org/releases/individual/app/xmessage-%{version}.tar.bz2
# Source0-md5:	76ac52710234ebb9d0e2762bb5d11ea1
URL:		http://xorg.freedesktop.org/
BuildRequires:	autoconf >= 2.57
BuildRequires:	automake
BuildRequires:	pkgconfig >= 1:0.19
BuildRequires:	xorg-lib-libXaw-devel
BuildRequires:	xorg-lib-libXt-devel >= 1.0.0
BuildRequires:	xorg-util-util-macros >= 1.4
Requires:	xorg-lib-libXt >= 1.0.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The xmessage program displays a window containing a message from the
command line, a file, or standard input. Along the lower edge of the
message is row of buttons; clicking the left mouse button on any of
these buttons will cause xmessage to exit. Which button was pressed is
returned in the exit status and, optionally, by writing the label of
the button to standard output.

%description -l pl.UTF-8
Program xmessage wyświetla okienko zawierające komunikat z linii
poleceń, pliku lub standardowego wejścia. Wzdłuż dolnej krawędzi
komunikatu znajduje się wiersz przycisków; kliknięcie lewym klawiszem
myszy na dowolnym z przycisków powoduje zakończenie xmessage, To,
który przycisk został wciśnięty, jest zwracane w kodzie wyjścia oraz,
opcjonalnie, poprzez wypisanie etykiety przycisku na standardowym
wyjściu.

%prep
%setup -q -n xmessage-%{version}

%build
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc COPYING ChangeLog README
%attr(755,root,root) %{_bindir}/xmessage
%{_datadir}/X11/app-defaults/Xmessage*
%{_mandir}/man1/xmessage.1x*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: xorg-app-xmessage.spec,v $
Revision 1.18  2010/05/28 06:18:46  qboosh
- updated to 1.0.3

Revision 1.17  2008/11/11 16:55:49  arekm
- rel 3; fix xaw related build

Revision 1.16  2008/11/07 20:51:44  arekm
- release 2

Revision 1.15  2007/08/10 23:39:54  qboosh
- descs from man

Revision 1.14  2007/08/10 09:55:52  arekm
- up to 1.0.2

Revision 1.13  2007/02/12 22:09:23  glen
- tabs in preamble

Revision 1.12  2007/02/12 01:06:39  baggins
- converted to UTF-8

Revision 1.11  2006/10/15 21:13:41  qboosh
- use individual dir, more verbose files, release 1

Revision 1.10  2006/01/16 11:09:30  qboosh
- runtime R: libXt >= 1.0.0 (for new app-defaults location)

Revision 1.9  2006/01/12 15:40:19  qboosh
- 1.0.1 (X11R7.0 release)

Revision 1.8  2005/12/13 15:49:15  qboosh
- 0.99.2 (X11R7.0-RC3)

Revision 1.7  2005/10/22 17:59:03  qboosh
- pkgconfig epoch

Revision 1.6  2005/10/22 14:21:08  qboosh
- 0.99.1 (X11R7.0-RC1)
- removed outdated man patch

Revision 1.5  2005/08/27 21:46:18  qboosh
- sorted BRs

Revision 1.4  2005/08/27 20:04:01  wiget
- standard permisions to binaries

Revision 1.3  2005/08/27 20:00:45  wiget
- cleanups, kill /usr/X11R6

Revision 1.2  2005/08/27 17:42:47  wiget
- s/pkg-config/pkgconfig/ in BR:

Revision 1.1  2005/08/15 12:17:57  arekm
- new try
- all xorg files prefixed with xorg-kind_of_package where kind of package can be seen at http://xorg.freedesktop.org/X11R7.0-RC0/

Revision 1.1  2005/08/14 22:46:42  arekm
- modular xorg specs

* Sun Aug 14 2005 14:58:34  Tomasz Trojanowski  <trojan@pld-freebsd.org>
- fixed summaries and descriptions
- fixed Group
- defined %%{_prefix} and %%{_mandir}
- added xmessage-man.patch
- added BR: libXaw-devel
- release 0.02

* Mon Aug  8 2005 12:26:56  Tomasz Trojanowski  <trojan@pld-freebsd.org>
- initial release
